<?xml version="1.0" encoding="ISO-8859-1"?>
<document>

  <properties>
    <title>HttpClient News</title>
    <author email="commons-dev@jakarta.apache.org">Commons Documentation Team</author>
    <author email="rwaldhoff@apache.org">Rodney Waldhoff</author>
    <author email="jsdever@apache.org">Jeff Dever</author>
    <revision>$Id: news.xml,v 1.20 2003/07/02 01:28:50 mbecke Exp $</revision>
  </properties>

  <body>

    <section name="02 July 2003 - HttpClient 2.0 Beta 2 released">
      <p>This release contains some minor bug fixes and documentation enhancements.
	Most likely this will be the final beta release before 2.0 Release Candidate 1.  As 
	always thank you to the HttpClient users and developers for their efforts.
	Please <a href="downloads.html">download</a> HttpClient 2.0 Beta 2 and
	enjoy.</p>
    </section>

    <section name="25 May 2003 - HttpClient 2.0 Beta 1 released">
      <p>This is the first feature-complete release of HttpClient 2.0.  A lot of
 	effort has been put into making this release functional, stable and 
	reliable. Many thanks to everyone who contributed code, time and testing. 
	Please <a href="downloads.html">download</a> HttpClient 2.0 Beta 1 and
	enjoy.</p>
      <p><b>Note:</b> The binary distributions were updated on 2 June, 2003 to 
        fix a problem with the original jar's MANIFEST.MF.  Using the original 
        HttpClient jar from within a servlet container or J2EE managed environment 
        may have caused some problems.</p>
    </section>

    <section name="25 February 2003 - HttpClient 2.0 Alpha 3 released">
      <p>This is an intermediate alpha release.  The build process used in
        the previous Alpha 2 changed from generating 4 build artifacts to
        a single distribution.  This one zip contains everything: all 
        the source, the binary jar, the logging dependancy, generated
        javadoc and required build files for Ant builds and JUnit tests.</p>
      <blockquote>
        "One zip to rule them all, one zip to find them, one zip to 
        bring them all and in the darkness bind them"</blockquote>
    </section>
    
    <section name="19 February, 2003 - Welcome new committer Michael Becke">
      <p>Mike been an active contributor for many months.  He has worked on a diverse range 
        of problems with high quality results.  In particular he is known for the massive
        HttpClient/HttpMultiClient merger that took place in December.</p>
      <p>Welcome to Middle Earth Mike!</p>
    </section>

    <section name="26 January 2003 - new mailing list archives">
      <p>There are two new mailing list archives of the commons-httpclient-dev
        mailing list.  It looks like someone up there is starting to like us!
        <ul>
          <li><a href="http://archives.apache.org/eyebrowse/SummarizeList?listId=128">
              http://archives.apache.org/eyebrowse/SummarizeList?listId=128</a></li>
          <li><a href="http://www.mail-archive.com/commons-httpclient-dev%40jakarta.apache.org/">
              http://www.mail-archive.com/commons-httpclient-dev%40jakarta.apache.org/</a></li>
        </ul>
      </p>
    </section>

    <section name="25 January 2003 - HttpClient 2.0 Alpha 2 released">
      <p>After many months and a great resurgence of developers, the new build
        of <em>HttpClient</em> is finally here.  The new group of developers has done
        extensive refactoring to move the project along the new vision.
        The code base has reached a significant level of maturity and we
        expect that the beta builds will come quickly and that the 
        final release of 2.0 is not far away!</p>

      <p>Also check out the new <em>HttpClient</em> logo!</p>
    </section>

    <section name="21 December, 2002 - Welcome new committer Oleg Kalnichevski">
      <p>Oleg is the first committer to be voted in on the dedicated httpclient 
        mailing list.  Welcome to the fellowship Olegolas!
      </p>
    </section>

    <section name="3 December, 2002 - HttpClient/HttpMultiClient merger">
      <p>The initial merger of the top level classes HttpClient and HttpMultiClient
        is complete.  Thanks for the patches and hard work from everyone 
        particularly to Michale Becke for supplying the primary patch.
      </p>
    </section>

    <section name="3 October, 2002 - commons-httpclient-dev mailing list">
      <p>The mailing list was renamed to be <b>commons-httpclient-dev</b>.
        Sorry for the confusion.
      </p>
      <p>
        If you wish to subscribe to this new mailing list, you can send mail to
        <a href="mailto:commons-httpclient-dev-subscribe@jakarta.apache.org">
          commons-httpclient-dev-subscribe@jakarta.apache.org</a>
      </p>
    </section>

    <section name="12 July, 2002 - HttpClient 2.0 Release Planning">
      <p>The <em>HttpClient</em> project has go through some very active
        development leading up to Alpha 1 last year, but unfortunately 
        lost momentum shortly after that.  There is now renewed interest
        and greatly increased activity on the dev-commons mailing list.
        The committers and contributors are working on a new release plan
        for 2.0.
      </p>
      <p>The 2.0 release plan is expected to be posted to the mailing list for 
        review by July 22, 2002.
      </p>
    </section>

    <section name="5 October, 2001 - HttpClient 2.0 Alpha 1 Released">
      <p>
        The <em>HttpClient</em> revision 2.0 alpha 1 is
        available at
        <a href="http://jakarta.apache.org/builds/jakarta-commons/release/commons-httpclient/v2.0/">
          http://jakarta.apache.org/builds/jakarta-commons/release/commons-httpclient/v2.0/</a>.
      </p>
    </section>

    <section name="25 April, 2001 - HttpClient Proposal Accepted">
      <p>
        The <em>HttpClient</em> <a href="proposal.html">proposal</a>
        has been accepted by the
        <a href="http://jakarta.apache.org/commons">Jakarta Commons</a>
        team and the source has been moved into the
        <a href="http://cvs.apache.org/viewcvs/jakarta-commons/httpclient/">CVS repository</a>.
      </p>
    </section>

    <section name="18 April, 2001 - HttpClient Proposed">
      <p>
        <em>HttpClient</em>, originally developed by the
        <a href="http://jakarta.apache.org/slide">Jakarta Slide</a>
        team, has been
        <a href="http://www.mail-archive.com/jakarta-commons@jakarta.apache.org/msg01153.html">proposed</a>
        as a <a href="http://jakarta.apache.org/commons">Jakarta Commons</a>
        component.
      </p>
    </section>
  </body>
</document>
